using BankContracts.BindingModels;
using BankContracts.SearchModels;
using BankContracts.ViewModels;

namespace BankContracts.BusinessLogicContracts
{
    public interface IOperationLogic
    {
        List<OperationViewModel> ReadList(OperationSearchModel? model = null);
        OperationViewModel ReadElement(OperationSearchModel model);
        bool Create(OperationBindingModel model);
        bool Update(OperationBindingModel model);
        bool Delete(OperationBindingModel model);
    }
}